{{ define "main" }}

{{ partial "page-header.html" . }}

<div id="wrapper" class="relative w-full max-w-8xl flex justify-between mx-auto" data-kind="{{ .Kind }}">
  
  <main id="main" role="main" class="w-full xl:max-w-[65%] flex-auto min-h-screen lg:static lg:max-h-full lg:overflow-visible px-4 sm:px-6 xl:px-8">

  	{{- partialCached "search-results" . -}}

		<section class="w-full py-12 border-b">
			<div class="prose lg:prose-lg">
				{{ .Content }}
			</div>
		</section>
		
		{{ $currentPage := . }}

		<aside id="widgets" class="w-full xl:w-96 xl:max-w-[35%] xl:absolute xl:right-0 xl:top-0 xl:bottom-24 flex-shrink-0 xl:h-auto pt-20 lg:pt-0 text-sm xl:px-8 mt-8 md:mt-0 print:hidden">
			<div class="xl:sticky xl:top-20">
				{{ range $widget := .Params.widgets -}}
					{{- $path := printf "%s%s" "widgets/" $widget -}}
					{{ partial $path $currentPage }}
				{{- end }}
			</div>
		</aside>

		{{ range $section := .Params.sections }}
			{{ $path := printf "%s%s" "sections/" $section }}
			{{- partial $path $currentPage -}}
		{{ end }}

	</main>

	

</div>

{{ end }}